=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2011-06-14 10:07:16 +0000
+++ bzrlib/hooks.py	2011-09-20 11:01:37 +0000
@@ -30,6 +30,7 @@
     errors,
     pyutils,
     )
+from bzrlib.i18n import gettext
 """)
 
 
@@ -310,10 +311,10 @@
             introduced_string = _format_version_tuple(self.introduced)
         else:
             introduced_string = 'unknown'
-        strings.append('Introduced in: %s' % introduced_string)
+        strings.append(gettext('Introduced in: %s') % introduced_string)
         if self.deprecated:
             deprecated_string = _format_version_tuple(self.deprecated)
-            strings.append('Deprecated in: %s' % deprecated_string)
+            strings.append(gettext('Deprecated in: %s') % deprecated_string)
         strings.append('')
         strings.extend(textwrap.wrap(self.__doc__,
             break_long_words=False))

=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2011-08-12 07:32:22 +0000
+++ bzrlib/plugin.py	2011-09-20 11:01:37 +0000
@@ -48,6 +48,7 @@
     errors,
     trace,
     )
+from bzrlib.i18n import gettext
 from bzrlib import plugins as _mod_plugins
 """)
 
@@ -137,8 +138,8 @@
         try:
             name, path = spec.split('@')
         except ValueError:
-            raise errors.BzrCommandError(
-                '"%s" is not a valid <plugin_name>@<plugin_path> description '
+            raise errors.BzrCommandError(gettext(
+                '"%s" is not a valid <plugin_name>@<plugin_path> description ')
                 % spec)
         specs.append((name, path))
     return specs

